%define section   free
%define base_name   torque

Name:           db-%{base_name}
Version:        3.1
Release:        1jpp
Epoch:          0
Summary:        Torque persistence layer

Group:          Development/Libraries/Java
License:        Apache Software License
URL:            http://db.apache.org/torque/
Source0:        torque-3.1-src.tar.gz
Source1:        torque-3.1-doc.tar.gz
Patch0:         torque-3.1-no-stratum.patch
Patch1:         torque-3.1-build_xml.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5.32
BuildRequires:  ant >= 0:1.5.4, ant-optional >= 0:1.5.4
BuildRequires:  junit >= 0:3.8.1
BuildRequires:  avalon-framework >= 0:4.1.4
BuildRequires:  avalon-logkit >= 0:1.2
BuildRequires:  jakarta-commons-beanutils >= 0:1.6.1
BuildRequires:  jakarta-commons-collections >= 0:2.1
BuildRequires:  jakarta-commons-configuration >= 0:1.0
BuildRequires:  jakarta-commons-dbcp >= 0:1.1
BuildRequires:  jakarta-commons-lang >= 0:2.0
BuildRequires:  jakarta-commons-logging >= 0:1.0.3
BuildRequires:  jakarta-commons-pool >= 0:1.1
BuildRequires:  jakarta-turbine-jcs >= 0:1.0
BuildRequires:  jdbc-stdext >= 0:2.0
BuildRequires:  jndi >= 0:1.2.1
BuildRequires:  log4j >= 0:1.2.8
BuildRequires:  velocity >= 0:1.3.1
BuildRequires:  village >= 0:1.5.3
BuildRequires:  xerces-j2 >= 0:2.6.0
BuildRequires:  xml-commons-apis >= 0:1.0
Requires:  avalon-framework >= 0:4.1.4
Requires:  avalon-logkit >= 0:1.2
Requires:  jakarta-commons-beanutils >= 0:1.6.1
Requires:  jakarta-commons-collections >= 0:2.1
Requires:  jakarta-commons-configuration >= 0:1.0
Requires:  jakarta-commons-dbcp >= 0:1.1
Requires:  jakarta-commons-lang >= 0:2.0
Requires:  jakarta-commons-logging >= 0:1.0.3
Requires:  jakarta-commons-pool >= 0:1.1
Requires:  jakarta-turbine-jcs >= 0:1.0
Requires:  jdbc-stdext >= 0:2.0
Requires:  jndi >= 0:1.2.1
Requires:  log4j >= 0:1.2.8
Requires:  velocity >= 0:1.3.1
Requires:  village >= 0:1.5.3
Requires:  xerces-j2 >= 0:2.6.0
Requires:  xml-commons-apis >= 0:1.0

%description
Torque is a persistence layer. Torque includes a 
generator to generate all the database resources 
required by your application and includes a 
runtime environment to run the generated classes. 

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%package        manual
Summary:        Docs for %{name}
Group:          Development/Documentation

%description    manual
%{summary}.

%prep
%setup -q -n %{base_name}-%{version}
echo >> build.xml
gzip -dc %{SOURCE1} | tar -xf -

%patch0
%patch1

%build
export CLASSPATH=$(build-classpath \
avalon-framework \
avalon-logkit \
commons-beanutils \
commons-collections \
commons-configuration \
commons-dbcp \
commons-lang \
commons-logging \
commons-pool \
jdbc-stdext \
jndi \
log4j \
turbine-jcs \
velocity \
village \
xerces-j2 \
xml-commons-apis \
junit)
CLASSPATH=target/classes:target/test-classes:$CLASSPATH
ant -Dbuild.sysclasspath=only test dist

%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 dist/%{base_name}-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr src/conf/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# manual
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp README.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_docdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}/LICENSE.txt
%{_docdir}/%{name}-%{version}/README.txt
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}
%ghost %doc %{_docdir}/%{name}


%changelog
* Wed Jan 28 2004 Ralph Apel <r.apel at r-apel.de> - 0:3.1-1jpp
- First JPackage release.
